Skip to main content
GET
/
v1
/
templates
/
{id}
/
published-version
/
variables-schema
Get the template variables schema
curl --request GET \
  --url https://api.passlet.io/v1/templates/{id}/published-version/variables-schema \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.passlet.io/v1/templates/{id}/published-version/variables-schema"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.passlet.io/v1/templates/{id}/published-version/variables-schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "schema": {
    "type": "<string>",
    "properties": {},
    "required": [
      "<string>"
    ]
  }
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

Passlet access token (plt_*) sent as Authorization: Bearer <token> or X-API-Key. Authorized scopes are listed per operation under x-required-scopes.

Path Parameters

id
string<uuid>
required

Resource identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

OK

schema
object
required